Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.beanutils.converters
Class FloatArrayConverter

    java.lang.Object
      |
      +--org.apache.commons.beanutils.converters.AbstractArrayConverter
            |
            +--org.apache.commons.beanutils.converters.FloatArrayConverter

All Implemented Interfaces:
  Converter

Deprecated. Replaced by the new `ArrayConverter` implementation

public final class FloatArrayConverter
extends AbstractArrayConverter

Standard `Converter` implementation that converts an incoming String into a primitive array of float. On a conversion failure, returns a specified default value or throws a `ConversionException` depending on how this instance is constructed.

Since:
  1.4
Version:
  $Revision: 556229 $ $Date: 2007-07-14 07:11:19 +0100 (Sat, 14 Jul 2007) $
Author:
  Craig R. McClanahan

Fields inherited from class org.apache.commons.beanutils.converters.AbstractArrayConverter
`defaultValue, NO_DEFAULT, strings, useDefault`

Constructor Summary
`FloatArrayConverter()` Deprecated. Create a `Converter` that will throw a `ConversionException` if a conversion error occurs.
`FloatArrayConverter(java.lang.Object defaultValue)` Deprecated. Create a `Converter` that will return the specified default value if a conversion error occurs.

Method Summary
`java.lang.Object` | `convert(java.lang.Class type, java.lang.Object value)` Deprecated. Convert the specified input object into an output object of the specified type.

Methods inherited from class org.apache.commons.beanutils.converters.AbstractArrayConverter
`parseElements`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloatArrayConverter

    public FloatArrayConverter()

  Deprecated.
  Create a `Converter` that will throw a `ConversionException` if a conversion error occurs.

### FloatArrayConverter

    public FloatArrayConverter(java.lang.Object defaultValue)

  Deprecated.
  Create a `Converter` that will return the specified default value if a conversion error occurs.
  Parameters:
    `defaultValue` - The default value to be returned

Method Detail

### convert

    public java.lang.Object convert(java.lang.Class type,
                                    java.lang.Object value)

  Deprecated.
  Convert the specified input object into an output object of the specified type.
  Overrides:
    `convert` in class `AbstractArrayConverter`
  Parameters:
    `type` - Data type to which this value should be converted
    `value` - The input value to be converted
  Returns:
    the converted value
  Throws:
    `ConversionException` - if conversion cannot be performed successfully

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 The Apache Software Foundation. All Rights Reserved.